Skip to main content
POST
Activate a Rule

Authorizations

X-API-Key
string
header
required

API Key authentication. Used by single-tenant deployments (MULTI_TENANT_ENABLED=false). Sent on every /v1/* request.

Headers

Content-Type
string
required

The type of media of the resource. Must be application/json.

X-API-Key
string
required

The API Key for authentication. This header is required for all endpoints except health checks.

X-Request-Id
string<uuid>

A unique identifier used to trace and track each request.

Path Parameters

id
string<uuid>
required

The unique identifier of the rule that you want to retrieve, update or delete.

Response

Indicates that the rule was successfully activated.

Validation rule.

ruleId
string<uuid>

Unique identifier for the rule.

name
string

Human-readable rule name (globally unique).

Maximum string length: 255
description
string

Rule purpose and logic explanation.

Maximum string length: 1000
expression
string

CEL expression that must evaluate to boolean.

Maximum string length: 5000
action
enum<string>

Action taken when rule expression evaluates to true.

Available options:
ALLOW,
DENY,
REVIEW
scopes
object[]

Scopes that determine which transactions this rule applies to.

status
enum<string>

Rule lifecycle status.

Available options:
DRAFT,
ACTIVE,
INACTIVE,
DELETED
createdAt
string<date-time>

When the rule was created.

updatedAt
string<date-time>

When the rule was last modified.

activatedAt
string<date-time> | null

When rule was last activated (null if never activated).

deactivatedAt
string<date-time> | null

When rule was last deactivated (null if never deactivated).

deletedAt
string<date-time> | null

When rule was deleted (null if not deleted).